Installing CIOS

Discussion in 'Wii - Hacking' started by Puppy_Washer, Jan 7, 2011.

Jan 7, 2011

Installing CIOS by Puppy_Washer at 3:04 AM (3,611 Views / 0 Likes) 16 replies

  1. Puppy_Washer
    OP

    Member Puppy_Washer GBAtemp Advanced Fan

    Joined:
    Jul 18, 2009
    Messages:
    920
    Location:
    Sydney
    Country:
    Australia
    Sorry for the non-related topic title!

    Game:
    Rock Band 3

    Problem:
    - Madcatz 103-button Pro Fender connects, and is assigned a player slot, but is unresponsive (aside from + and - buttons).
    - GHWT Microphone is unrecognized by game.

    Special Notes:
    - Both periphials do not use a Wiimote. They run off USB entirely.
    - I am now currently running Wiiflow, but I have also used a backup DVD with Gecko OS, and I get the exact same results.
    - I have tried all possibilities with cIOS selection in Wiiflow, and only 223 and "default" will actually allow the guitar to connect, however it is still unresponsive.

    Updated IOS's:

    Warning: Spoilers inside!

    cIOS's installed

    Warning: Spoilers inside!
     
  2. person66

    Member person66 If it isn't edited, it isn't a true person66 post

    Joined:
    Jun 16, 2009
    Messages:
    1,110
    Location:
    Canada
    Country:
    Canada
    you are using the correct installer, right? you need this one: http://filetrip.net/g25124395-hermes-cIOS-Installer.html

    Now open it in the homebrew channel, and choose any ios that you know is a cios (like if you installed 249, choose that)

    NOTE: it wont break your wii if you choose one that isn't a cios, it just wont install.

    anyway, after that, choose the option to install cios 223, then choose 37 to use as a base.
    Now it should download it (you need wifi) and once its done press 1 to install it.

    you're done!
     
  3. Puppy_Washer
    OP

    Member Puppy_Washer GBAtemp Advanced Fan

    Joined:
    Jul 18, 2009
    Messages:
    920
    Location:
    Sydney
    Country:
    Australia
    Thanks for the reply, I used the installer, and it patched successfully...however, it didn't solve the problem! Other threads said to merge 37 with 38...how do I do that?

    Also, specifically my problem relates to the GH:WT Microphone not working, and the new Madcatz 103 button guitar no longer being able to respond to the game.
     
  4. brausm08

    Member brausm08 GBAtemp Advanced Fan

    Joined:
    Nov 15, 2009
    Messages:
    721
    Location:
    USA - Midwest
    Country:
    United States
    i assume you're using a usb loader for this game....did you set the loader to use IOS223 for loading that game (or games as you reference RB3 and GH:WT)?

    the 223 [37+38] is nothing you do per se, it's just a flavor of Hermes v4....223 [37] is a Hermes v5 cIOS (might also be available v4, i don't remember)....for the game(s) in question, either of these will work....

    either of these (or many others) can also be obtained from page 2 of Modmii and can be installed the same way you just did, FYI....

    EDIT: if you're using GX loader, you will need a Hermes v4 cIOS as GX isn't compatible with Hermes v5....AFAIK ...before switching to v4, it probably would just be better to switch loaders to CFG or Wiiflow....
     
  5. Puppy_Washer
    OP

    Member Puppy_Washer GBAtemp Advanced Fan

    Joined:
    Jul 18, 2009
    Messages:
    920
    Location:
    Sydney
    Country:
    Australia
    Ah...I like USB Loader GX though. xD I already have lots of disc images and such on there.
    I just tried installing Hermes v4 to 223 (over the top of my v5), and it failed.
    I assume I need to clear 223 before trying again.
    How do I restore 223 back to normal?

    As a last measure, I'll try Wiiflow or CFG.
     
  6. brausm08

    Member brausm08 GBAtemp Advanced Fan

    Joined:
    Nov 15, 2009
    Messages:
    721
    Location:
    USA - Midwest
    Country:
    United States
    it should just install right over the top (no uninstall necessary)....were you using the v4 installer or the specific 223v4[37+38] wad....? if you have cIOS236, use MMM and install the cIOS in wad format....everything can be had from Modmii (link in sig)

    i used to use GX, but it's growing more obsolete by the day! ...wiiflow is beautiful... you'd find the switch worth it....i promise.....

    see my sig for my complete configuration....that's all available via Modmii as well (except the 250-wiiflow, that you'd have to get via the google code site)

    i'll check on this thread tomorrow afternoon again, but hopefully you'll have it all figured out by then....
     
  7. person66

    Member person66 If it isn't edited, it isn't a true person66 post

    Joined:
    Jun 16, 2009
    Messages:
    1,110
    Location:
    Canada
    Country:
    Canada
    Nope, never clear things on the Wii, just overwrite them.

    oh and I would definitely try cfg or wiiflow, far better than gx IMHO

    EDIT: thats the 2nd time brausm08 has ninja'd me today [​IMG]
     
  8. Puppy_Washer
    OP

    Member Puppy_Washer GBAtemp Advanced Fan

    Joined:
    Jul 18, 2009
    Messages:
    920
    Location:
    Sydney
    Country:
    Australia
    I tried using the v4 installer to go from v5 to v4, and it didn't work. Everything downloaded, but it failed at actually installing.
    Installing v4 the first time was fine. So was v5. But going from v5 to v4 didn't work.

    So, anytitledeleter would be a bad option for solving this?
    I read on another thread that it's the preferred way to solve errors.

    I just tried using the "223v4[37+38] wad", and that just failed instantly when using wad manager.
    Would Multi Mod Manager have better chances?
     
  9. XFlak

    Member XFlak Wiitired but still kicking

    Joined:
    Sep 12, 2009
    Messages:
    9,122
    Location:
    Ontario
    Country:
    Canada
    to overwrite an IOS with a lower version (ie. downgrade an IOS) u need to be using a IOS with the version patch, typically found in cIOS236 and newer versions of cIOS249/250
     
  10. Puppy_Washer
    OP

    Member Puppy_Washer GBAtemp Advanced Fan

    Joined:
    Jul 18, 2009
    Messages:
    920
    Location:
    Sydney
    Country:
    Australia
    Thanks, I've now got Hermes v4 on 223 with 37/38 merged. I'm also using Wiiflow now, too.
    Still not working! [​IMG]
    We're making progress though!
     
  11. Taleweaver

    Member Taleweaver Storywriter

    Joined:
    Dec 23, 2009
    Messages:
    5,121
    Location:
    Belgium
    Country:
    Belgium
    Did you configure wiiflow to use cIOS 223 for rock band 3?
     
  12. Puppy_Washer
    OP

    Member Puppy_Washer GBAtemp Advanced Fan

    Joined:
    Jul 18, 2009
    Messages:
    920
    Location:
    Sydney
    Country:
    Australia
    Sure did. cIOS 223 and "default" seem to let the guitar connect, although only the plus and minus buttons appear to work. The d-pad, A, B, and 1 and 2 buttons do not work. Every other IOS does not let the guitar connect at all.

    So, are we sure that Rock Band 3 uses IOS37, with the mic, and new 103 button guitars?

    I'd like to say thankyou to all users that have helped out so far, I really appreciate it.
     
  13. yabel

    Newcomer yabel Advanced Member

    Joined:
    Feb 9, 2009
    Messages:
    82
    Country:
    United States
    i have had my Wii modded for almost 2 yrs now and love it. I have helped some friends and family members figure it out but Im a little fuzzy on which CIOS to update and which bases to update them with. I understand the IOS updates and have used Wan cios rev20b last with Hermes because of 222 needed for a game. I have updated most bases in 249 is there a list of what ios/bases that should be updated or not? Plus a description of what it fixes?
    I did find a small list:
    ---- CIOS249 with base 57 for faster loading of USB / Wi-Fi support better


    ---- CIOS250 with base 37 for games / music, Monster Hunter Tri and WiiSpeak.


    ---- CIOS248 with base 38 when using an older wadmanager others.
    IOS36 -> required by most homebrew and games

    IOS37 -> Games / Music, Monster Hunter Tri and WiiSpeak.

    IOS38 -> if you use an older wadmanager Others

    IOS53 -> Plus WiiFit

    IOS55 -> some newer games will print an error message # 002

    IOS57 -> enhanced USB support, Ethernet support may

    IOS60 -> SDHC support

    IOS61 -> SDHC support

    IOS70 -> SDHC support

    IOS80 -> SDHC support
    Sorry if its posted but been searching googling so I can update and be done with it for a while.
    I know rev21 is out but many complaints so I wait for dust to settle on it.
    thx
     
  14. XFlak

    Member XFlak Wiitired but still kicking

    Joined:
    Sep 12, 2009
    Messages:
    9,122
    Location:
    Ontario
    Country:
    Canada
    you forgot base 56, which is basically the pro's of base 37 combined with base 57 (peripheral support for + faster usb-loading). Basically, base 56 should be able to play ALL games except COD:BO
     
  15. yabel

    Newcomer yabel Advanced Member

    Joined:
    Feb 9, 2009
    Messages:
    82
    Country:
    United States
    So should ppl go through and update everything with all bases or does one overwrite other?
     
  16. Puppy_Washer
    OP

    Member Puppy_Washer GBAtemp Advanced Fan

    Joined:
    Jul 18, 2009
    Messages:
    920
    Location:
    Sydney
    Country:
    Australia
    Edited first post! Check there for updated/detailed information on problem!
     
  17. Puppy_Washer
    OP

    Member Puppy_Washer GBAtemp Advanced Fan

    Joined:
    Jul 18, 2009
    Messages:
    920
    Location:
    Sydney
    Country:
    Australia
    Sorry for bumping, I really need some more help. My completely non-related topic title doesn't help either...
     

Share This Page